Skip to main content
POST
/
payments
/
banks
/
validate
Verify Bank Account
curl --request POST \
  --url https://api.breet.io/v1/payments/banks/validate \
  --header 'Content-Type: application/json' \
  --header 'X-Breet-Env: <api-key>' \
  --header 'x-app-id: <api-key>' \
  --header 'x-app-secret: <api-key>' \
  --data '
{
  "id": "39",
  "accountNumber": "3154021148"
}
'
{
  "message": "data fetched",
  "success": true,
  "data": {
    "accountNumber": "215842XXXX",
    "type": "nuban",
    "bankName": "United Bank For Africa",
    "accountName": "OGUNMEPON SHARAFA"
  },
  "meta": {},
  "summary": {},
  "stats": {}
}

Authorizations

x-app-id
string
header
required

Your application ID from the Breet dashboard

x-app-secret
string
header
required

Your application secret from the Breet dashboard

X-Breet-Env
string
header
required

Environment selector: development or production

Body

application/json
id
string

Bank identifier from the GET /payments/banks endpoint.

accountNumber
string

Response

200 - application/json

Bank account verified successfully